Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.java.platform/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.java.platform
Class CustomPlatformInstall

    java.lang.Object
      org.netbeans.spi.java.platform.GeneralPlatformInstall
          org.netbeans.spi.java.platform.CustomPlatformInstall

    public abstract class CustomPlatformInstall

extends GeneralPlatformInstall

Defines an API for registering custom Java platform installer. The installer is responsible for instantiation of `JavaPlatform` through the provided TemplateWizard.Iterator. If your installer selects the platform on the local disk you probably don't want to use this class, the `PlatformInstall` class creates an platform chooser for you. You want to use this class if the platform is not on the local disk, eg. you want to download it from the web.

Since:
  1.5

Constructor Summary
`CustomPlatformInstall()`

Method Summary
`abstract WizardDescriptor.InstantiatingIterator` | `createIterator()` Returns the `WizardDescriptor#InstantiatingIterator` used to install the platform.

Methods inherited from class org.netbeans.spi.java.platform.GeneralPlatformInstall
`getDisplayName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomPlatformInstall

    public CustomPlatformInstall()

Method Detail

### createIterator

    public abstract WizardDescriptor.InstantiatingIterator createIterator()

  Returns the `WizardDescriptor#InstantiatingIterator` used to install the platform.

  Returns:
    TemplateWizard.Iterator instance responsible for instantiating the platform. The instantiate method of the returned iterator should return the Set containing the created JavaPlatform.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.java.platform/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.